/*
 * SD1307  RTC
 * * 
 */
#ifndef _SD1307_H_
#define _SD1307_H_
#include <arduino.h>

#define OLED_WIDTH 96  // OLEDの幅(ピクセル数)
#define OLED_HEIGHT 64  // OLEDの高さ(ピクセル数)

class SD1307
{
  public:
    // 状態変位用変数
    uint8_t yer ;     // 年
    uint8_t mon ;     // 月
    uint8_t day ;     // 日
    uint8_t sec ;     // 秒
    uint8_t mnt ;     // 分
    uint8_t how ;     // 時
    uint8_t weekday ; // 曜日(1～7)
    
    void setTime();
    void getTime();

  private:
    // RTCのレジスタテーブル(8byte)
    uint8_t RegTblPr[8];
    uint8_t RegTbl[8]; 
} ;
#endif
