/*
 * SSD1331 96x64 表示
 * 
 */
#ifndef _SSD1331_H_
#define _SSD1331_H_
#include <arduino.h>

#define OLED_WIDTH 96  // OLEDの幅(ピクセル数)
#define OLED_HEIGHT 64  // OLEDの高さ(ピクセル数)

class SSD1331
{
  public:
    void init(); // 初期化
    void cls(); // 画面クリア
    void drowRect(uint8_t xs,uint8_t ys,uint8_t xe,uint8_t ye,uint32_t lineColor, uint32_t fillColor) ;
    void dispFont(uint8_t code , uint8_t x, uint8_t y) ;
    void dispStr(char str[] , uint8_t x , uint8_t y) ;
    void dispWatherIcon(int waterId , uint8_t x , uint8_t y) ;

  private:
    void oledSendCommand(uint8_t command) ; // OLEDに1バイトコマンドを送信
    void oledSendCommand2(uint8_t command1, uint8_t command2) ; // OLEDに2バイトコマンドを送信
    void oledSendCommand3(uint8_t command1, uint8_t command2, uint8_t command3) ; // OLEDに3バイトコマンドを送信
    void oledSendCommands(int commandLen, uint8_t commands[]) ; // OLEDに複数のコマンドを送信

    uint8_t fontColorT ; // TEXT FOR GROND COLOR
    uint8_t fontColorF ; // TEXT FOR GROND COLOR
    uint8_t fontColorB ; // TEXT BACK GROND COLOR

    uint8_t* getIconAddr(int iconNo,int &sx,int &sy) ;

    uint8_t cmdBuff[12] ;
    uint8_t SPIBuf[1536] ;   // SPIイメージデータ(48x32Dot)転送用バッファ
} ;
#endif
